﻿namespace Mirea.Api.Dto.Common;

/// <summary>
/// Specifies the types of databases supported.
/// </summary>
public enum DatabaseType
{
    /// <summary>
    /// MySQL database type.
    /// </summary>
    Mysql,

    /// <summary>
    /// SQLite database type.
    /// </summary>
    Sqlite,

    /// <summary>
    /// PostgreSQL database type.
    /// </summary>
    PostgresSql
}