﻿using System;

namespace Mirea.Api.Endpoint.Common.Services;

public static class ScheduleSyncManager
{
    public static event Action? OnUpdateIntervalRequested;
    public static event Action? OnForceSyncRequested;

    public static void RequestIntervalUpdate() =>
        OnUpdateIntervalRequested?.Invoke();

    public static void RequestForceSync() =>
        OnForceSyncRequested?.Invoke();
}