﻿using Mirea.Api.Dto.Common;
using Mirea.Api.Endpoint.Configuration.Validation.Attributes;
using Mirea.Api.Endpoint.Configuration.Validation.Interfaces;

namespace Mirea.Api.Endpoint.Configuration.Model.GeneralSettings;

[RequiredSettings]
public class CacheSettings : IIsConfigured
{
    public CacheType TypeDatabase { get; set; }
    public string? ConnectionString { get; set; }

    public bool IsConfigured()
    {
        return TypeDatabase == CacheType.Memcached ||
               !string.IsNullOrEmpty(ConnectionString);
    }
}