﻿namespace Mirea.Api.Dto.Common;

/// <summary>
/// Specifies the types of caching mechanisms available.
/// </summary>
public enum CacheType
{
    /// <summary>
    /// Memcached caching type.
    /// </summary>
    Memcached,

    /// <summary>
    /// Redis caching type.
    /// </summary>
    Redis
}