﻿using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Responses;

/// <summary>
/// Represents basic information about a faculty.
/// </summary>
public class FacultyResponse
{
    /// <summary>
    /// Gets or sets the unique identifier of the faculty.
    /// </summary>
    [Required]
    public int Id { get; set; }

    /// <summary>
    /// Gets or sets the name of the faculty.
    /// </summary>
    [Required]
    public required string Name { get; set; }
}