﻿using System;

namespace Mirea.Api.Security.Common.Domain.Caching;

internal class AuthToken
{
    public AuthToken(RequestContextInfo context)
    {
        UserAgent = context.UserAgent;
        Ip = context.Ip;
        Fingerprint = context.Fingerprint;
        RefreshToken = context.RefreshToken;
    }

    public AuthToken()
    {
    }

    public string UserAgent { get; set; } = null!;
    public string Ip { get; set; } = null!;
    public string Fingerprint { get; set; } = null!;
    public string RefreshToken { get; set; } = null!;

    public required string UserId { get; set; }
    public required string AccessToken { get; set; }
    public DateTime CreatedAt { get; set; }
}