﻿namespace Mirea.Api.Security.Common.Domain;

public class PasswordPolicy(
    int minimumLength = 8,
    bool requireLetter = true,
    bool requireLettersDifferentCase = true,
    bool requireDigit = true,
    bool requireSpecialCharacter = true)
{
    public int MinimumLength { get; set; } = minimumLength;
    public bool RequireLetter { get; set; } = requireLetter;
    public bool RequireLettersDifferentCase { get; set; } = requireLettersDifferentCase;
    public bool RequireDigit { get; set; } = requireDigit;
    public bool RequireSpecialCharacter { get; set; } = requireSpecialCharacter;
}