﻿using System;
using System.Reflection;

namespace Mirea.Api.DataAccess.Application.Common.Exceptions;

public class NotFoundException : Exception
{
    public NotFoundException(MemberInfo entity, string name, object id) : base($"The entity \"{entity.Name}\" property \"{name}\" was not found by \"{id}\".") { }
    public NotFoundException(MemberInfo entity, object id) : base($"The entity \"{entity.Name}\" was not found by \"{id}\".") { }
}